Subject: Re: linux-next: build failure after merge of the kunit-fixes tree

From: Shuah Khan <[email-masked]>
Date: Fri, 25 Jun 2021 12:12:28 -0600

On 6/25/21 11:53 AM, Daniel Latypov wrote:
> On Fri, Jun 25, 2021 at 2:52 AM Stephen Rothwell <[email-masked]> wrote:
>>
>> Hi all,
>>
>> After merging the kunit-fixes tree, today's linux-next build (powerpc
>> allyesconfig) failed like this:
>>
>> lib/kunit/executor.c:26:1: error: expected identifier or '(' before '+' token
>>     26 | +kunit_filter_subsuite(struct kunit_suite * const * const subsuite,
>>        | ^
>> lib/kunit/executor.c: At top level:
>> lib/kunit/executor.c:140:10: fatal error: executor_test.c: No such file or directory
>>    140 | #include "executor_test.c"
>>        |          ^~~~~~~~~~~~~~~~~
>>
>> Caused by commit
>>
>>    c9d80ffc5a0a ("kunit: add unit test for filtering suites by names")
> 
> For posterity, David sent out a patch addressing this here:
> https://lore.kernel.org/linux-kselftest/[email-masked]/
> 

It is all fixed now. When I applied this patch yesterday, I needed to
fix merge conflicts. When I did that the newly added file was left
behind.

Build didn't find it since the file was in the repo. Oh well. So much
for trying to save you a rebase.

Sorry for the trouble. It should all be squared away now. Build and
exec tested it for sanity.

https://git.kernel.org/pub/scm/linux/kernel/git/shuah/linux-kselftest.git/commit/?h=kunit-fixes&id=1d71307a6f94df3750f8f884545a769e227172fe

thanks,
-- Shuah